%global srcname pyprocdev
Name:       python-%{srcname}
Version:    0.2
Release:    2%{?dist}
Summary:    Tiny library providing a Pythonic interface to /proc/devices

License:    GPLv2+
URL:        http://pypi.python.org/pypi/%{srcname}
Source0:    https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:  noarch

%description
A tiny library providing a Pythonic interface to /proc/devices.

%package -n python2-%{srcname}
Summary:    %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires: python2-six

%description -n python2-%{srcname}
%{summary}. Python 2 version.

%package -n python3-%{srcname}
Summary:    %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires: python3-six

%description -n python3-%{srcname}
%{summary}. Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}
rm -rf src/pyprocdev.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-%{version}-*.egg-info/

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-*.egg-info/

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jul 11 2016 mulhern <amulhern@redhat.com> - 0.2
- Initial release
